.product-container {
    display: flex;
    gap: 70px;
    margin: 20px;

}

.product-card {
    width: 300px;
    background-color: #fff;
    box-shadow: 0 4px 8px rgba(0,0,0,0.1);
    border-radius: 10px;
    overflow: hidden;
    position: relative;
    transition: transform 0.3s ease;
}

.product-card:hover {
    transform: translateY(-10px);
}

.product-image img {
    width: 100%;
    height: 200px;
    object-fit: contain;
    transition: transform 0.5s ease;
}

.product-info {
    padding: 15px;
    text-align: center;
}

.price-tag {
    position: absolute;
    top: 15px;
    left: 15px;
    background-color: red;
    color: white;
    width: 50px;
    height: 50px;
    line-height: 50px;
    text-align: center;
    border-radius: 50%;
    font-weight: bold;
}

.buy-now-btn {
    display: inline-block;
    background-color: black;
    color: white;
    padding: 10px 20px;
    text-decoration: none;
    border-radius: 5px;
    transition: background-color 0.3s ease, box-shadow 0.3s ease;
}

.buy-now-btn:hover {
    background-color: red;
    box-shadow: 0 0 10px red;
    color: white;
}

@media (max-width: 900px) {
    .product-container {
        flex-direction: column;
        align-items: center;
    }
}
